Documentation index: llms.txt. Read this chapter as Markdown.
Universal API endpoints
Download OpenAPI JSON: The complete request, response and schema contract for scoped Universal connections.
Required inputs and documented response codes are summarized here. For optional parameters, full schemas, and response bodies, use the Universal OpenAPI contract. Listed codes are not an exhaustive error policy.
GET /v1/agent-action-tracesList agent action traces
GET /v1/agent-action-traces/{traceId}Get agent action trace
GET /v1/approval-requestsList approval requests
GET /v1/approval-requests/{requestId}Get approval request
GET /v1/artifactsList artifacts
POST /v1/artifactsCreate artifact
GET /v1/artifacts/{artifactId}Get artifact
GET /v1/artifacts/{artifactId}/contentGet artifact content
GET /v1/artifacts/{artifactId}/sourcesRead accessible cross-Space source references
GET /v1/conversation-threads/{threadId}/anchorsList conversation thread anchors
GET /v1/conversation-threads/{threadId}/entriesList conversation thread entries
POST /v1/conversation-threads/{threadId}/mark-readMark a conversation thread read
GET /v1/conversation-threads/{threadId}/viewGet a conversation thread view
GET /v1/evaluationsList evaluations
POST /v1/evaluationsCreate evaluation
GET /v1/evaluations/{evaluationId}Get evaluation
GET /v1/execution-policiesList execution policies
GET /v1/execution-policies/{policyId}Get execution policy
POST /v1/foundation/run-groups/{runGroupId}:cancelCancel a canonical Run Group
POST /v1/foundation/run-groups/{runGroupId}:pausePause a canonical Run Group
POST /v1/foundation/run-groups/{runGroupId}:resumeResume a canonical Run Group
POST /v1/foundation/run-groups/{runGroupId}/runsCreate a Main Run in a canonical Run Group
POST /v1/foundation/runs/{runId}/subrunsSpawn a canonical Subrun
POST /v1/foundation/spaces/{spaceId}/run-groupsCreate a canonical Run Group
POST /v1/foundation/spaces/{spaceId}/runs:launchLaunch a freeform Main Run without requiring a Task
POST /v1/foundation/tasks/{taskId}/runs:launchLaunch a Main Run for an optional planning Task
GET /v1/run-leases/{leaseId}Get run lease
POST /v1/run-leases/{leaseId}/releaseRelease run lease
POST /v1/run-leases/{leaseId}/renewRenew run lease
GET /v1/runsList runs
GET /v1/runs/{runId}Get run
POST /v1/runs/{runId}/acquireClaim one agent-executed Run
POST /v1/runs/{runId}/completeComplete run
GET /v1/runs/{runId}/contextGet resolved run context
POST /v1/runs/{runId}/startStart run
POST /v1/runs/{runId}/stopRequest run stop
GET /v1/scheduler-policiesList scheduler policies
POST /v1/scheduler-policiesCreate scheduler policy
GET /v1/scheduler-policies/{policyId}Get scheduler policy
POST /v1/scheduler-policies/{policyId}/disableDisable scheduler policy
POST /v1/scheduler-policies/{policyId}/reconcileReconcile scheduler policy
POST /v1/scheduler-policies/{policyId}/updateUpdate scheduler policy
GET /v1/searchSearch authorized Swarm records
GET /v1/spacesList spaces
POST /v1/spacesCreate space
GET /v1/spaces/{spaceId}Get space
GET /v1/spaces/{spaceId}/action-intelligenceGet bounded action intelligence summary for a space
POST /v1/spaces/{spaceId}/agent-action-traces/batchesAppend a bounded client-reported Agent action trace batch
GET /v1/spaces/{spaceId}/agent-participantsList current Space execution participants
POST /v1/spaces/{spaceId}/agent-requestsAsk an available Space agent to start work from a human request
GET /v1/spaces/{spaceId}/answer-contractGet the Space Ask answer contract
GET /v1/spaces/{spaceId}/answersList persisted space answers
GET /v1/spaces/{spaceId}/answers/{answerId}Get a persisted space answer
POST /v1/spaces/{spaceId}/askAsk a space from visible memory
POST /v1/spaces/{spaceId}/checkpointsPublish one reviewed durable checkpoint
POST /v1/spaces/{spaceId}/context-linksAttach a canonical Space context link
POST /v1/spaces/{spaceId}/context-links/{contextLinkId}/detachDetach a canonical Space context link
POST /v1/spaces/{spaceId}/context-packBuild a bounded context pack for a space
POST /v1/spaces/{spaceId}/context-plan/viewExplain the bounded context plan for composer input without persistence or a model call
GET /v1/spaces/{spaceId}/conversationGet the primary Space conversation thread
POST /v1/spaces/{spaceId}/conversation/entriesCreate an authorized conversation entry
GET /v1/spaces/{spaceId}/conversation/updatesGet an authorized Space conversation revision hint
GET /v1/spaces/{spaceId}/decision-graphGet the derived space decision graph
POST /v1/spaces/{spaceId}/executor-capabilitiesDeclare this connection's execution capabilities
POST /v1/spaces/{spaceId}/handoff-preview/viewCompile a bounded, Permit-filtered handoff preview without persistence or a model call
GET /v1/spaces/{spaceId}/operationsList Space intelligence operations
GET /v1/spaces/{spaceId}/operations/{operationId}Get a Space intelligence operation
POST /v1/spaces/{spaceId}/runs:claim-nextClaim the next eligible agent-executed Run
GET /v1/spaces/{spaceId}/work-contractGet the Space work contract
GET /v1/task-dependenciesList task dependencies
POST /v1/task-dependenciesCreate task dependency
GET /v1/task-dependencies/{dependencyId}Get task dependency
GET /v1/tasksList tasks
POST /v1/tasksCreate task
GET /v1/tasks/{taskId}Get task
PATCH /v1/tasks/{taskId}Update an unexecuted task
POST /v1/tasks/{taskId}/cancelClear an unexecuted task
POST /v1/universal-connection-requestsRequest human consent for an HTTPS app or agent
POST /v1/universal-connection-requests/{requestId}/exchangeCollect an approved Universal connection
POST /v1/universal-connections/{connectionId}/renewKeep an approved Universal connection usable without repeating setup